SuperTux Bug Tracker
SuperTux logo


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000529supertuxGraphicspublic2009-12-12 17:312015-10-16 16:43
Reporterxukosky 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionwon't fix 
Platformi686OSDebianOS VersionSid
Product Version0.1.3 
Target VersionFixed in Version 
Summary0000529: Weird menu background at 16 bpp
DescriptionWhen the X server is running with a 16 bpp depth, the background at the main menu is not displayed properly. See the attached image.

The weird menu is shown in both, fullscreen and window mode. I have tried it with two different graphic cards: A S3 Savage and an ATI Radeon. And I always get the same behavior, even with the vesa driver.

If the X server is running with a 24 bpp depth, or if I enable opengl, then the menu looks fine.

Steps To ReproduceJust set your X server at 16 bpp and disable opengl at the options menu.
Additional InformationI thought it was a problem with my graphic card at the beginning, but it would be very funny having two graphic cards with the same bug...
TagsAttachedFiles
Fixed in GIT revision
Fixed in subversion revision
Attached Filespng file icon supertux.png [^] (191,039 bytes) 2009-12-12 17:31

- Relationships

-  Notes
(0003765)
Tobbi (administrator)
2015-10-16 16:43

0.1.3 is ancient. We will be releasing 0.4.0 which likely won't have this problem any longer.

- Issue History
Date Modified Username Field Change
2009-12-12 17:31 xukosky New Issue
2009-12-12 17:31 xukosky File Added: supertux.png
2012-09-08 06:04 superdev Tag Attached: AttachedFiles
2015-10-16 16:43 Tobbi Status new => resolved
2015-10-16 16:43 Tobbi Resolution open => won't fix
2015-10-16 16:43 Tobbi Note Added: 0003765


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker